Your submission was sent successfully! Close

CVE-2020-15393

Published: 29 June 2020

In the Linux kernel 4.4 through 5.7.6, usbtest_disconnect in drivers/usb/misc/usbtest.c has a memory leak, aka CID-28ebeb8db770.

From the Ubuntu security team

Kyungtae Kim discovered that the USB testing driver in the Linux kernel did not properly deallocate memory on disconnect events. A physically proximate attacker could use this to cause a denial of service (memory exhaustion).

Priority

Low

CVSS 3 base score: 5.5

Status

Package Release Status
linux-hwe-5.8
Launchpad, Ubuntu, Debian
precise Does not exist

trusty Does not exist

xenial Does not exist

bionic Does not exist

groovy Does not exist

focal Not vulnerable
(5.8.0-23.24~20.04.1)
upstream
Released (5.8~rc3)
linux-gke-5.4
Launchpad, Ubuntu, Debian
precise Does not exist

trusty Does not exist

xenial Does not exist

focal Does not exist

groovy Does not exist

bionic Not vulnerable
(5.4.0-1025.25~18.04.1)
upstream
Released (5.8~rc3)
linux-gkeop-5.4
Launchpad, Ubuntu, Debian
precise Does not exist

trusty Does not exist

xenial Does not exist

focal Does not exist

groovy Does not exist

bionic Not vulnerable
(5.4.0-1001.1)
upstream
Released (5.8~rc3)
linux-gke-5.0
Launchpad, Ubuntu, Debian
bionic Ignored
(was needed now end-of-life)
upstream
Released (5.8~rc3)
precise Does not exist

trusty Does not exist

xenial Does not exist

eoan Does not exist

focal Does not exist

groovy Does not exist

linux-dell300x
Launchpad, Ubuntu, Debian
upstream
Released (5.8~rc3)
precise Does not exist

trusty Does not exist

xenial Does not exist

bionic Not vulnerable
(4.15.0-1005.8)
focal Does not exist

groovy Does not exist

linux-oem-5.10
Launchpad, Ubuntu, Debian
upstream
Released (5.8~rc3)
precise Does not exist

trusty Does not exist

xenial Does not exist

bionic Does not exist

focal Not vulnerable
(5.10.0-1008.9)
groovy Does not exist

linux-gkeop
Launchpad, Ubuntu, Debian
upstream
Released (5.8~rc3)
precise Does not exist

trusty Does not exist

xenial Does not exist

bionic Does not exist

focal Not vulnerable
(5.4.0-1008.9)
groovy Does not exist

linux-aws
Launchpad, Ubuntu, Debian
bionic
Released (4.15.0-1080.84)
focal
Released (5.4.0-1022.22)
upstream
Released (5.8~rc3)
precise Does not exist

trusty
Released (4.4.0-1076.80)
xenial
Released (4.4.0-1112.124)
eoan Ignored
(reached end-of-life)
groovy Not vulnerable
(5.8.0-1004.4)
linux-aws-hwe
Launchpad, Ubuntu, Debian
xenial
Released (4.15.0-1080.84~16.04.1)
upstream
Released (5.8~rc3)
precise Does not exist

trusty Does not exist

bionic Does not exist

eoan Does not exist

focal Does not exist

groovy Does not exist

linux-azure
Launchpad, Ubuntu, Debian
focal
Released (5.4.0-1023.23)
xenial
Released (4.15.0-1093.103~16.04.1)
upstream
Released (5.8~rc3)
precise Does not exist

trusty
Released (4.15.0-1093.103~14.04.1)
bionic Ignored
(was needs-triage now end-of-life)
eoan Ignored
(reached end-of-life)
groovy Not vulnerable
(5.8.0-1004.4)
linux-azure-4.15
Launchpad, Ubuntu, Debian
bionic
Released (4.15.0-1093.103)
upstream
Released (5.8~rc3)
precise Does not exist

trusty Does not exist

xenial Does not exist

eoan Does not exist

focal Does not exist

groovy Does not exist

linux-gcp
Launchpad, Ubuntu, Debian
focal
Released (5.4.0-1022.22)
groovy Not vulnerable
(5.8.0-1002.2)
xenial
Released (4.15.0-1081.92~16.04.1)
upstream
Released (5.8~rc3)
precise Does not exist

trusty Does not exist

bionic Ignored
(was needs-triage now end-of-life)
eoan Ignored
(reached end-of-life)
linux-gcp-4.15
Launchpad, Ubuntu, Debian
bionic
Released (4.15.0-1081.92)
upstream
Released (5.8~rc3)
precise Does not exist

trusty Does not exist

xenial Does not exist

eoan Does not exist

focal Does not exist

groovy Does not exist

linux-gke-4.15
Launchpad, Ubuntu, Debian
bionic
Released (4.15.0-1067.70)
upstream
Released (5.8~rc3)
precise Does not exist

trusty Does not exist

xenial Does not exist

eoan Does not exist

focal Does not exist

groovy Does not exist

linux-hwe
Launchpad, Ubuntu, Debian
xenial
Released (4.15.0-115.116~16.04.1)
upstream
Released (5.8~rc3)
precise Does not exist

trusty Does not exist

bionic
Released (5.3.0-65.59)
eoan Does not exist

focal Does not exist

groovy Does not exist

linux-kvm
Launchpad, Ubuntu, Debian
bionic
Released (4.15.0-1072.73)
focal
Released (5.4.0-1021.21)
upstream
Released (5.8~rc3)
precise Does not exist

trusty Does not exist

xenial
Released (4.4.0-1078.85)
eoan Ignored
(reached end-of-life)
groovy Not vulnerable
(5.8.0-1001.1)
linux-oem
Launchpad, Ubuntu, Debian
bionic
Released (4.15.0-1094.104)
upstream
Released (5.8~rc3)
precise Does not exist

trusty Does not exist

xenial Ignored
(was needs-triage now end-of-life)
eoan Ignored
(reached end-of-life)
focal Does not exist

groovy Does not exist

linux-oracle
Launchpad, Ubuntu, Debian
bionic
Released (4.15.0-1051.55)
focal
Released (5.4.0-1022.22)
upstream
Released (5.8~rc3)
precise Does not exist

trusty Does not exist

xenial
Released (4.15.0-1051.55~16.04.1)
eoan Ignored
(reached end-of-life)
groovy Not vulnerable
(5.8.0-1001.1)
linux
Launchpad, Ubuntu, Debian
upstream
Released (5.8~rc3)
precise Ignored
(was needs-triage ESM criteria)
trusty Ignored
(was needs-triage ESM criteria)
xenial
Released (4.4.0-187.217)
bionic
Released (4.15.0-115.116)
eoan Ignored
(reached end-of-life)
focal
Released (5.4.0-45.49)
groovy Not vulnerable
(5.8.0-16.17)
linux-hwe-edge
Launchpad, Ubuntu, Debian
upstream
Released (5.8~rc3)
precise Does not exist

trusty Does not exist

xenial Ignored
(was needs-triage now end-of-life)
bionic Ignored
(was needs-triage now end-of-life)
eoan Does not exist

focal Does not exist

groovy Does not exist

linux-lts-trusty
Launchpad, Ubuntu, Debian
upstream
Released (5.8~rc3)
precise Ignored
(was needs-triage ESM criteria)
trusty Does not exist

xenial Does not exist

bionic Does not exist

eoan Does not exist

focal Does not exist

groovy Does not exist

linux-lts-xenial
Launchpad, Ubuntu, Debian
upstream
Released (5.8~rc3)
precise Does not exist

trusty
Released (4.4.0-187.217~14.04.1)
xenial Does not exist

bionic Does not exist

eoan Does not exist

focal Does not exist

groovy Does not exist

linux-aws-5.0
Launchpad, Ubuntu, Debian
upstream
Released (5.8~rc3)
precise Does not exist

trusty Does not exist

xenial Does not exist

bionic Ignored
(was needs-triage now end-of-life)
eoan Does not exist

focal Does not exist

groovy Does not exist

linux-aws-5.3
Launchpad, Ubuntu, Debian
upstream
Released (5.8~rc3)
precise Does not exist

trusty Does not exist

xenial Does not exist

bionic
Released (5.3.0-1033.35)
eoan Does not exist

focal Does not exist

groovy Does not exist

linux-azure-5.3
Launchpad, Ubuntu, Debian
upstream
Released (5.8~rc3)
precise Does not exist

trusty Does not exist

xenial Does not exist

bionic
Released (5.3.0-1035.36)
eoan Does not exist

focal Does not exist

groovy Does not exist

linux-azure-edge
Launchpad, Ubuntu, Debian
upstream
Released (5.8~rc3)
precise Does not exist

trusty Does not exist

xenial Does not exist

bionic Ignored
(was needs-triage now end-of-life)
eoan Does not exist

focal Does not exist

groovy Does not exist

linux-gcp-5.3
Launchpad, Ubuntu, Debian
upstream
Released (5.8~rc3)
precise Does not exist

trusty Does not exist

xenial Does not exist

bionic Ignored
(was needed now end-of-life)
eoan Does not exist

focal Does not exist

groovy Does not exist

linux-gcp-edge
Launchpad, Ubuntu, Debian
upstream
Released (5.8~rc3)
precise Does not exist

trusty Does not exist

xenial Does not exist

bionic Ignored
(was needs-triage now end-of-life)
eoan Does not exist

focal Does not exist

groovy Does not exist

linux-gke-5.3
Launchpad, Ubuntu, Debian
upstream
Released (5.8~rc3)
precise Does not exist

trusty Does not exist

xenial Does not exist

bionic
Released (5.3.0-1033.35)
eoan Does not exist

focal Does not exist

groovy Does not exist

linux-oracle-5.0
Launchpad, Ubuntu, Debian
upstream
Released (5.8~rc3)
precise Does not exist

trusty Does not exist

xenial Does not exist

bionic Ignored
(was needs-triage now end-of-life)
eoan Does not exist

focal Does not exist

groovy Does not exist

linux-oracle-5.3
Launchpad, Ubuntu, Debian
upstream
Released (5.8~rc3)
precise Does not exist

trusty Does not exist

xenial Does not exist

bionic Ignored
(was needed now end-of-life)
eoan Does not exist

focal Does not exist

groovy Does not exist

linux-oem-5.6
Launchpad, Ubuntu, Debian
upstream
Released (5.8~rc3)
precise Does not exist

trusty Does not exist

xenial Does not exist

bionic Does not exist

eoan Does not exist

focal
Released (5.6.0-1031.32)
groovy Does not exist

linux-oem-osp1
Launchpad, Ubuntu, Debian
upstream
Released (5.8~rc3)
precise Does not exist

trusty Does not exist

xenial Does not exist

bionic Ignored
(was needed now end-of-life)
eoan Ignored
(reached end-of-life)
focal Does not exist

groovy Does not exist

linux-raspi
Launchpad, Ubuntu, Debian
upstream
Released (5.8~rc3)
precise Does not exist

trusty Does not exist

xenial Does not exist

bionic Does not exist

eoan Does not exist

focal
Released (5.4.0-1016.17)
groovy Not vulnerable
(5.4.0-1016.17)
linux-raspi2
Launchpad, Ubuntu, Debian
upstream
Released (5.8~rc3)
precise Does not exist

trusty Does not exist

xenial
Released (4.4.0-1137.146)
bionic
Released (4.15.0-1068.72)
eoan Ignored
(reached end-of-life)
focal Ignored
(was needs-triage now end-of-life)
groovy Does not exist

linux-raspi2-5.3
Launchpad, Ubuntu, Debian
upstream
Released (5.8~rc3)
precise Does not exist

trusty Does not exist

xenial Does not exist

bionic
Released (5.3.0-1032.34)
eoan Does not exist

focal Does not exist

groovy Does not exist

linux-riscv
Launchpad, Ubuntu, Debian
upstream
Released (5.8~rc3)
precise Does not exist

trusty Does not exist

xenial Does not exist

bionic Does not exist

eoan Does not exist

focal
Released (5.4.0-31.35)
groovy Not vulnerable
(5.8.0-1.1)
linux-snapdragon
Launchpad, Ubuntu, Debian
upstream
Released (5.8~rc3)
precise Does not exist

trusty Does not exist

xenial
Released (4.4.0-1141.149)
bionic
Released (4.15.0-1084.92)
eoan Does not exist

focal Does not exist

groovy Does not exist

linux-hwe-5.4
Launchpad, Ubuntu, Debian
upstream
Released (5.8~rc3)
precise Does not exist

trusty Does not exist

xenial Does not exist

bionic
Released (5.4.0-45.49~18.04.2)
focal Does not exist

groovy Does not exist

linux-raspi-5.4
Launchpad, Ubuntu, Debian
upstream
Released (5.8~rc3)
precise Does not exist

trusty Does not exist

xenial Does not exist

bionic
Released (5.4.0-1016.17~18.04.1)
focal Does not exist

groovy Does not exist

linux-azure-5.4
Launchpad, Ubuntu, Debian
upstream
Released (5.8~rc3)
precise Does not exist

trusty Does not exist

xenial Does not exist

bionic
Released (5.4.0-1023.23~18.04.1)
focal Does not exist

groovy Does not exist

linux-oracle-5.4
Launchpad, Ubuntu, Debian
upstream
Released (5.8~rc3)
precise Does not exist

trusty Does not exist

xenial Does not exist

bionic
Released (5.4.0-1022.22~18.04.1)
focal Does not exist

groovy Does not exist

linux-gcp-5.4
Launchpad, Ubuntu, Debian
upstream
Released (5.8~rc3)
precise Does not exist

trusty Does not exist

xenial Does not exist

bionic
Released (5.4.0-1022.22~18.04.1)
focal Does not exist

groovy Does not exist

linux-aws-5.4
Launchpad, Ubuntu, Debian
upstream
Released (5.8~rc3)
precise Does not exist

trusty Does not exist

xenial Does not exist

bionic
Released (5.4.0-1022.22~18.04.1)
focal Does not exist

groovy Does not exist